<div class="main-panel">
    <div class="content-wrapper">
        <div class="after-con mob-p0">
            <div class="row"><br>
  
                <h3 class="pt-2">Toutes les branches</h3>
            </div>
            <div class="row">
                <div class="col-lg-12">
                   
                    <ul class="nav nav-pills nv-pil" role="tablist">
                        <li class="nav-item"  >
                            <a class="nav-link active" data-bs-toggle="pill" href="#home" >Livraison</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="pill" href="#menu1" >Enlévement</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="pill" href="#menu2"  >Programme Try-on</a>
                        </li>
                    </ul>
                    <!-- Tab panes -->
                </div>
                 
                 
  
            </div>
            <div class="row">
                <div class="col-12 grid-margin">
                    <div class="tab-content">
                        <div id="home" class="tab-pane active p-0">
  
                            <div class="table-responsive br-6 tbl-heigh">
                                <table class="table table-bordered tbl-sell tbl-txt">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID</th>
                                            <th>Type de livraison</th>
                                            <th>Activation du jour</th>
                                            <th>Jour</th>
                                            <th>Heure de début  </th> 
                                            <th>Heure de fin</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                      <tr  *ngFor="let val of record let i = index">
                                          <td width="15%" style="color:#2171ae">  
                                              {{ i+1 }}
                                          </td>
                                          <td>
                                              <p *ngIf="val.delivery_type == 1">
                                                Livraison 
                                              </p>

                                              <p *ngIf="val.delivery_type == 2">
                                                Enlèvement 
                                              </p>

                                              <p *ngIf="val.delivery_type == 3">
                                                Programme d'essai 
                                              </p>
                                          </td>
                                          <td>
                                               
                                              <!-- <p *ngIf="val.day_enable == true">
                                                Oui
                                              </p>
                                              <p *ngIf="val.day_enable == false">
                                                Non
                                              </p> -->

                                            <div class="day-f">
                                                <label class="switch">
                                                <ng-container *ngIf="val.day_enable == true; else elseCond">
                                                    <input type="checkbox"   (change)="myRadioChange(val._id)" checked="checked">
                                                </ng-container>
                                                <ng-template #elseCond>
                                                    <input type="checkbox"   (change)="myRadioChange(val._id)" >
                                                </ng-template>
                                                <span class="slider round"></span>
                                                </label>
                                            </div>

                                          </td>
                                          <td>
                                              <p *ngIf="val.day_number == 0">
                                                Dimanche 
                                              </p>
                                              <p *ngIf="val.day_number == 1">
                                                Lundi 
                                              </p>
                                              <p *ngIf="val.day_number == 2">
                                                Mardi 
                                              </p>
                                              <p *ngIf="val.day_number == 3">
                                                Mercredi
                                              </p>
                                              <p *ngIf="val.day_number == 4">
                                                Jeudi
                                              </p>
                                              <p *ngIf="val.day_number == 5">
                                                Vendredi
                                              </p>
                                              <p *ngIf="val.day_number == 6">
                                                Samedi
                                              </p>
                                          </td>
                                          <td>
                                              {{val.start_time}}
                                          </td>
                                          <td>
                                              {{val.end_time}}
                                          </td>
                                          <td>
                                            <a href="javascript:void(0)" (click)="deleteSchedule($event, val._id)" class=""><i class="fa fa-trash-o" style="font-size:24px;color:red"></i>
                                            </a>
                                          </td>
                                      </tr>
                                      
                                  </tbody>
                                </table>
                            </div>
                        </div>
                        <div id="menu1" class="tab-pane ">
                            <br>
                            <div class="table-responsive br-6 tbl-heigh">
                                <table class="table table-bordered tbl-sell tbl-txt">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID</th>
                                            <th>Type de livraison</th>
                                            <th>Activation du jour</th>
                                            <th>Jour</th>
                                            <th>Heure de début  </th> 
                                            <th>Heure de fin</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                      <tr  *ngFor="let val of record_2 let i = index">
                                          <td width="15%" style="color:#2171ae">  
                                              {{ i+1 }}
                                          </td>
                                          <td>
                                              <p *ngIf="val.delivery_type == 1">
                                                Livraison 
                                              </p>

                                              <p *ngIf="val.delivery_type == 2">
                                                Enlèvement 
                                              </p>

                                              <p *ngIf="val.delivery_type == 3">
                                                Programme d'essai 
                                              </p>
                                          </td>
                                          <td>
                                               
                                              <!-- <p *ngIf="val.day_enable == true">
                                                Oui
                                              </p>
                                              <p *ngIf="val.day_enable == false">
                                                Non
                                              </p> -->

                                            <div class="day-f">
                                                <label class="switch">
                                                <ng-container *ngIf="val.day_enable == true; else elseCond">
                                                    <input type="checkbox"   (change)="myRadioChange(val._id)" checked="checked">
                                                </ng-container>
                                                <ng-template #elseCond>
                                                    <input type="checkbox"   (change)="myRadioChange(val._id)" >
                                                </ng-template>
                                                <span class="slider round"></span>
                                                </label>
                                            </div>

                                          </td>
                                          <td>
                                              <p *ngIf="val.day_number == 0">
                                                Dimanche 
                                              </p>
                                              <p *ngIf="val.day_number == 1">
                                                Lundi 
                                              </p>
                                              <p *ngIf="val.day_number == 2">
                                                Mardi 
                                              </p>
                                              <p *ngIf="val.day_number == 3">
                                                Mercredi
                                              </p>
                                              <p *ngIf="val.day_number == 4">
                                                Jeudi
                                              </p>
                                              <p *ngIf="val.day_number == 5">
                                                Vendredi
                                              </p>
                                              <p *ngIf="val.day_number == 6">
                                                Samedi
                                              </p>
                                          </td>
                                          <td>
                                              {{val.start_time}}
                                          </td>
                                          <td>
                                              {{val.end_time}}
                                          </td>
                                          <td>
                                            <a href="javascript:void(0)" (click)="deleteSchedule($event, val._id)" class=""><i class="fa fa-trash-o" style="font-size:24px;color:red"></i>
                                            </a>
                                          </td>
                                      </tr>
                                      
                                  </tbody>
                                </table>
                            </div>
                        </div>
                        <div id="menu2" class="tab-pane ">
                            <br>
                            <div class="table-responsive br-6 tbl-heigh">
                                <table class="table table-bordered tbl-sell tbl-txt">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID</th>
                                            <th>Type de livraison</th>
                                            <th>Activation du jour</th>
                                            <th>Jour</th>
                                            <th>Heure de début  </th> 
                                            <th>Heure de fin</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                      <tr  *ngFor="let val of record_3 let i = index">
                                          <td width="15%" style="color:#2171ae">  
                                              {{ i+1 }}
                                          </td>
                                          <td>
                                              <p *ngIf="val.delivery_type == 1">
                                                Livraison 
                                              </p>

                                              <p *ngIf="val.delivery_type == 2">
                                                Enlèvement 
                                              </p>

                                              <p *ngIf="val.delivery_type == 3">
                                                Programme d'essai 
                                              </p>
                                          </td>
                                          <td>
                                               
                                              <!-- <p *ngIf="val.day_enable == true">
                                                Oui
                                              </p>
                                              <p *ngIf="val.day_enable == false">
                                                Non
                                              </p> -->

                                            <div class="day-f">
                                                <label class="switch">
                                                <ng-container *ngIf="val.day_enable == true; else elseCond">
                                                    <input type="checkbox"   (change)="myRadioChange(val._id)" checked="checked">
                                                </ng-container>
                                                <ng-template #elseCond>
                                                    <input type="checkbox"   (change)="myRadioChange(val._id)" >
                                                </ng-template>
                                                <span class="slider round"></span>
                                                </label>
                                            </div>

                                          </td>
                                          <td>
                                              <p *ngIf="val.day_number == 0">
                                                Dimanche 
                                              </p>
                                              <p *ngIf="val.day_number == 1">
                                                Lundi 
                                              </p>
                                              <p *ngIf="val.day_number == 2">
                                                Mardi 
                                              </p>
                                              <p *ngIf="val.day_number == 3">
                                                Mercredi
                                              </p>
                                              <p *ngIf="val.day_number == 4">
                                                Jeudi
                                              </p>
                                              <p *ngIf="val.day_number == 5">
                                                Vendredi
                                              </p>
                                              <p *ngIf="val.day_number == 6">
                                                Samedi
                                              </p>
                                          </td>
                                          <td>
                                              {{val.start_time}}
                                          </td>
                                          <td>
                                              {{val.end_time}}
                                          </td>
                                          <td>
                                            <a href="javascript:void(0)" (click)="deleteSchedule($event, val._id)" class=""><i class="fa fa-trash-o" style="font-size:24px;color:red"></i>
                                            </a>
                                          </td>
                                      </tr>
                                      
                                  </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
  
     
  
  
  </div>